<?php

namespace App\Modules\HtlTypeRoomBed\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class ListHtlTypeRoomBedQuery implements Query
{
    public function __construct(
        private int $idHtlTypeRoom,
        private string $action
    ) {
    }

    public function getIdHtlTypeRoom(): int
    {
        return $this->idHtlTypeRoom;
    }

    public function getAction(): string
    {
        return $this->action;
    }
}
